Summary:	GeoIP update client code
Name:		geoipupdate
Version:	3.1.1
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
URL:		https://github.com/maxmind/geoipupdate
Source0:	https://github.com/maxmind/geoipupdate/releases/download/v%{version}/geoipupdate-%{version}.tar.gz
Source1:	geoipupdate.cron
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libcurl)
Requires:	geolite2-city
Requires:	geolite2-country

%description
The GeoIP Update program performs automatic updates of GeoIP2 and GeoIP Legacy
binary databases. CSV databases are not supported.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

# Weekly crontab
mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
install -m755  %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.weekly/%{name}

# We'll package the documentation ourselves
rm -rf %{buildroot}%{_datadir}/doc/geoipupdate

%files
%license LICENSE
%doc *.md
%{_bindir}/geoipupdate
%{_mandir}/man1/geoipupdate.1*
%{_mandir}/man5/GeoIP.conf.5*
%config(noreplace) %{_sysconfdir}/GeoIP.conf
%{_sysconfdir}/cron.weekly/%{name}


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.1.1-2.mga8
+ Revision: 1517508
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 02 2018 wally <wally> 3.1.1-1.mga7
+ Revision: 1315009
- new version 3.1.1
- supports only GeoLite2 databases as GeoLite Legacy will be discontinued in January 2019

* Sun Sep 23 2018 umeabot <umeabot> 2.2.2-4.mga7
+ Revision: 1297862
- Mageia 7 Mass Rebuild

* Wed Mar 23 2016 dlucio <dlucio> 2.2.2-3.mga6
+ Revision: 994252
- weekly crontab is better

* Wed Mar 23 2016 dlucio <dlucio> 2.2.2-2.mga6
+ Revision: 994248
- new cron

* Wed Mar 23 2016 dlucio <dlucio> 2.2.2-1.mga6
+ Revision: 994242
- imported package geoipupdate

